const path = require('path');

module.exports = {
  mode: 'production',
  entry: './src/index.ts',
  output: {
    path: path.resolve('dist'),
    filename: 'easyannotation.min.js',
    libraryExport: 'default',
    libraryTarget: 'umd',
    globalObject: 'this',
    library: 'easyannotation'
  },
  optimization: {
    minimize: true
  },
  module: {
    rules: [
      {
        test: /\.js?$/,
        exclude: /(node_modules)/,
        use: 'babel-loader',
      },
      {
        test: /\.tsx?$/,
        use: 'ts-loader',
        exclude: /node_modules/,
      },
      {
        test: /.*\.svg$/,
        loaders: [
            'svg-inline-loader'
        ]
      },
      {
        test: /.*\.css$/,
        loaders: [
          'css-loader'
        ]
      }
    ],
  },
  plugins: [

  ],
  resolve: {
    extensions: ['.js', '.ts'],
  }
};